[android-components](../../index.md) / [mozilla.components.ui.autocomplete](../index.md) / [InlineAutocompleteEditText](index.md) / [applyAutocompleteResult](./apply-autocomplete-result.md)

# applyAutocompleteResult

`open fun applyAutocompleteResult(result: `[`AutocompleteResult`](-autocomplete-result/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/ui/autocomplete/src/main/java/mozilla/components/ui/autocomplete/InlineAutocompleteEditText.kt#L402)

Overrides [AutocompleteView.applyAutocompleteResult](../-autocomplete-view/apply-autocomplete-result.md)

Applies the provided result by updating the current autocomplete
text and selection, if any.

### Parameters

`result` - the [AutocompleteResult](-autocomplete-result/index.md) to apply